#include "solver/solver.h"

#include <iostream>

int main(int argc, char** argv) {
  if (argc < 2) {
    std::cout << "Please provide a puzzle to solve" << std::endl;
    return 1;
  }
  Solver solver(argv[1]);
  if (!solver.Solve()) {
    std::cout << "Error! Couldn't Solve" << std::endl;
  }
  std::cout << solver.StateUrl() << std::endl;
}
